/*From https://www.w3schools.com/howto/howto_js_read_more.asp
 Used in accordance with their Terms of Service for copying code snippets
 for education purposes and not for profit */

/* The original unmodified code is shown commented out below.
 The original Code contained no comments*/

//function myFunction() {
//  var dots = document.getElementById("dots");
//  var moreText = document.getElementById("more");
//  var btnText = document.getElementById("myBtn");
//
//  if (dots.style.display === "none") {
//    dots.style.display = "inline";
//    btnText.innerHTML = "Read more";
//    moreText.style.display = "none";
//  } else {
//    dots.style.display = "none";
//    btnText.innerHTML = "Read less";
//    moreText.style.display = "inline";
//  }
//}




/* I have modified the code to suit my needs and allow for more than one "Read More" button to appear on the same page. Please see the reflection journal for more info and my critique. */
function readMore(btnId)
{
  /* get the button element for storing the button display text*/
  var btnText = document.getElementById(btnId.id);
  
  /* get the children of the parent element */
  var divChildren = btnId.parentElement.childNodes;
  
  /* The index 5 element is the <p> element, which has the span element for dots*/
  var pElements = divChildren[5].childNodes;
  var dots = pElements[0];
  
  /* the more element is the child in index 7 */
  var more = divChildren[7];
  
  /* Display the dots inline iff the dots display is none. Also put Read more as the text in the button and set the display of the additional text as none. */
  if (dots.style.display === "none")
  {
    dots.style.display = "inline";
    btnText.innerHTML = "Read more";
    more.style.display = "none";
  }
  /* If the dots are displayed, set their display to none, change the text in the button to Read less and display the extra text inline */
  else
  {
    dots.style.display = "none";
    btnText.innerHTML = "Read less";
    more.style.display = "inline";
  }
}
